% Program "bolcman"

clc; close all; clear; tic 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%% PROMENLJIVE %%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

temperatura=XXX;              % u K
vibraciona_frek=XXX;          % u cm-1
rotaciona_konstanta=XXX;      % u cm-1

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
broj_nivoa=15;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nivoi=0:broj_nivoa;

teta_vibr=1.44*vibraciona_frek;    % Karakteristicna vibraciona temperatura
teta_rot=1.44*rotaciona_konstanta; % Karakteristicna rotaciona temperatura

vibraciona=exp(-nivoi*teta_vibr/temperatura);
vibraciona=vibraciona/sum(vibraciona);
rotaciona=(2*nivoi+1).*exp(-nivoi.*(nivoi+1)*teta_rot/temperatura);
rotaciona=rotaciona/sum(rotaciona);

figure
plot(nivoi,vibraciona,'k-',...
    'LineWidth',1.5)
xt={'0' ; '1' ; '2' ; '3' ; '4' ; '5' ; '6' ; '7' ; '8' ; '9' ; '10' ; '11' ; '12' ; '13' ; '14' ; '15'} ; 
set(gca,'xtick',0:broj_nivoa); 
set(gca,'xticklabel',xt);
xlabel('\bf \fontsize{15} \fontname{Euclid} Broj nivoa');
ylabel('\bf \fontsize{15} \fontname{Euclid} Verovatnoca');
legend('\fontname{Euclid} Bolcmanova raspodela za vibracione nivoe')
figure
plot(nivoi,rotaciona,'k-',...
    'LineWidth',1.5)
xt={'0' ; '1' ; '2' ; '3' ; '4' ; '5' ; '6' ; '7' ; '8' ; '9' ; '10' ; '11' ; '12' ; '13' ; '14' ; '15'} ; 
set(gca,'xtick',0:broj_nivoa); 
set(gca,'xticklabel',xt);
xlabel('\bf \fontsize{15} \fontname{Euclid} Broj nivoa');
ylabel('\bf \fontsize{15} \fontname{Euclid} Verovatnoca');
legend ('\fontname{Euclid} Bolcmanova raspodela za rotacione nivoe')

fprintf('\n')
fprintf('-----------------------------------------------------\n')
fprintf('\n')

toc